Bug 10712 - Some values not saved in koha install log
Summary: Some values not saved in koha install log
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-12 15:24 UTC by Colin Campbell
Modified: 2014-12-07 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.61 KB, patch)
2013-08-12 15:44 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 10712: Save missing config variables to install log (2.08 KB, patch)
2013-08-12 17:46 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10712: Save missing config variables to install log (2.13 KB, patch)
2013-08-13 08:27 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2013-08-12 15:24:23 UTC
when running perl Makefile.PL --prev-install-log for an upgrade you are still prompted to choose the authorities indexing mode and the tokenizer value they should be saved with the other variables in the koha-install-log
Comment 1 Colin Campbell 2013-08-12 15:44:21 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-08-12 17:46:49 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-08-13 08:27:50 UTC
Created attachment 20286 [details] [review]
Bug 10712: Save missing config variables to install log

The variables for AUTH_INDEX_MODE and ZEBRA_TOKENIZER were not
being saved to the koha_install_log file.  As a result when using the
--prev-install-log option in Makefile.PL the user was still prompted
to select them.

This patch adds the appropriate variables to the list saved in
the install log.

To test:

On a (non-package) system installed/upgraded without the patch running
'perl Makefile.PL --prev-install-log /path/to/koha-install-log' will
still prompt you to choose authorities indexing mode and select
between chr and icu, after upgrading with this patch applied the same
command should get the responses from the install log and not require
user intervention.

The values can be seen written into misc/koha-install-log

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Galen Charlton 2013-08-13 14:14:56 UTC
Pushed to master.  Thanks, Colin!
Comment 5 Tomás Cohen Arazi 2013-08-16 16:01:26 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Colin!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-13 22:54:21 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 7 Chris Hall 2013-10-20 06:51:40 UTC
Pushed to 3.8.x, will be in 3.8.19